 <!-- <div class="example-container" >
  
  <mat-form-field >
    <input  class="a"   id="in1" matInput placeholder="Input">
  </mat-form-field>

  <mat-form-field >
    <textarea matInput      fxFlex="20%"placeholder="Textarea"></textarea>
  </mat-form-field>

  <mat-form-field >
    <mat-select placeholder="Select">
      <mat-option value="option">Option</mat-option>
    </mat-select>
  </mat-form-field>
</div>  -->



<!-- <form fxLayout="column"  (ngSubmit)="onSubmit(form)"  #form="ngForm" > -->


<form fxLayout="column"  (ngSubmit)="onSave(form.value)"  #form="ngForm" >

  <div class="input-row" fxLayout="row" fxLayout="column" style="background-color: azure;padding: 10px;"  fxLayoutAlign="space-evenly center" fxLayoutGap="20px" fxLayoutGap.lt-md="0px">
    <mat-form-field fxFlex  style="width:60%" >
      <input matInput type="text" placeholder="userId"  id="userId"   name="userId" required  #inputuserId='ngModel'   ngModel>
      <!-- <mat-hint align="end">{{inputemail.value?.length || 0}}/10</mat-hint> -->
      <!-- <mat-error *ngIf="inputemail.hasError('required')">please Enter Correcct Email Address</mat-error> -->

      <!-- <mat-error *ngIf="!inputemail.hasError('email')">
        Email is not valid
       </mat-error> -->

       

    </mat-form-field>
    
    <mat-form-field fxFlex  style="width:60%">
      <input matInput type="text" placeholder="id" id="id"  name="id"   required  #id='ngModel'   ngModel>
    </mat-form-field>
 
 
    <mat-form-field fxFlex  style="width:60%">
        <input matInput type="text" placeholder="title"  name="title"    required   #title='ngModel' ngModel>
      </mat-form-field>
 
      <mat-form-field fxFlex  style="width:60%">
        <input matInput type="text" placeholder="body"  name="body"    required   #body='ngModel' ngModel>
      </mat-form-field>
 

      <button mat-button  type="submit"  [disabled]='!form.valid' color="primary" >
        Submit
      </button>
      
  </div>

   </form>


<!-- 

userId: number;
    id: number;
    title: string;
    body: string; -->
 




<!-- 
<form fxLayout="column"  (ngSubmit)="onSubmit(form)"  #form="ngForm" >
    <div class="input-row" fxLayout="row" fxLayout="column" style="background-color: azure;padding: 10px;"  fxLayoutAlign="space-evenly center" fxLayoutGap="20px" fxLayoutGap.lt-md="0px">
      <mat-form-field fxFlex  style="width:60%" >
        <input matInput type="text" placeholder="Email"  id="email"   name="email" required  #inputemail='ngModel'   ngModel>
        <mat-hint align="end">{{inputemail.value?.length || 0}}/10</mat-hint>
         <mat-error *ngIf="inputemail.hasError('required')">please Enter Correcct Email Address</mat-error> 

        <mat-error *ngIf="!inputemail.hasError('email')">
          Email is not valid
         </mat-error>

         

      </mat-form-field>
      

      <mat-form-field fxFlex  style="width:60%">
        <input matInput type="text" placeholder="Password" id="password"  name="password"   required  #psd='ngModel'   ngModel>
      </mat-form-field>
   
   
      <mat-form-field fxFlex  style="width:60%">
          <input matInput type="text" placeholder="PhoneNumber"  name="phonenumber"    required   #pno='ngModel' ngModel>
        </mat-form-field>
   
        <button mat-button  type="submit"  [disabled]='!form.valid' color="primary" >
          Submit
        </button>
        
    </div>

     </form>

 -->
